drm/amdgpu: Add support for Yellow Carp

Bug #1945227 reported by Timo Aaltonen
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned
mesa (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned

Bug Description

[Impact]

New hardware support for AMD's Yellow Carp need five commits backported to mesa and new firmware. This is only needed on focal, skipping hirsute (no kernel support there).

[Test plan]

Install updates, boot a YC machine and check that the desktop has full hardware acceleration.

[Where problems could occur]

The firmware is new, so it will simply add new files to l-f without any impact on others.

Mesa adds five commits in total, and while some affect other chips, they mostly fix hw bugs or add a helper and such, hard to see what could go wrong.

Timo Aaltonen (tjaalton)
Changed in mesa (Ubuntu):
status: New → Fix Committed
status: Fix Committed → Fix Released
Revision history for this message
Chris Halse Rogers (raof) wrote : Please test proposed package

Hello Timo, or anyone else affected,

Accepted mesa into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/21.0.3-0ubuntu0.3~20.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mesa (Ubuntu Focal):
status: New → Fix Committed
tags: added: verification-needed verification-needed-focal
Revision history for this message
Mario Limonciello (superm1) wrote :

With manually placing firmware in /lib/firmware (since SRU not started for that) and using 5.14 kernel confirmed that mesa looks good. Since we don't have linux-firmware SRU package yet and they are combined on this bug report I will not add "verification-done-focal".

# glxinfo | grep "OpenGL render" -i
OpenGL renderer string: AMD YELLOW_CARP (DRM 3.42.0, 5.14.0, LLVM 12.0.0)

# dpkg -l | grep 21.0.3-0ubuntu0.3
ii libegl-mesa0:amd64 21.0.3-0ubuntu0.3~20.04.3 amd64 free implementation of the EGL API -- Mesa vendor library
ii libgbm1:amd64 21.0.3-0ubuntu0.3~20.04.3 amd64 generic buffer management API -- runtime
ii libgl1-mesa-dri:amd64 21.0.3-0ubuntu0.3~20.04.3 amd64 free implementation of the OpenGL API -- DRI modules
ii libglapi-mesa:amd64 21.0.3-0ubuntu0.3~20.04.3 amd64 free implementation of the GL API -- shared library
ii libglx-mesa0:amd64 21.0.3-0ubuntu0.3~20.04.3 amd64 free implementation of the OpenGL API -- GLX vendor library

Timo Aaltonen (tjaalton)
description: updated
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.201

---------------
linux-firmware (1.201) impish; urgency=medium

  * Rebase to upstream commit 7a30050592e20f494ad331b90737913d59167c3f
    Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    - i915: Update ADLP DMC v2.12
    - amdgpu: add initial firmware for Yellow Carp (LP: #1945227)
    - iwlwifi: add FWs for new So device types with multiple RF modules
    - linux-firmware: Update firmware file for Intel Bluetooth 8265
    - linux-firmware: Update firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - linux-firmware: Update firmware file for Intel Bluetooth AX211
    - qed: Add firmware 8.59.1.0
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX211
    - linux-firmware: update frimware for mediatek bluetooth chip (MT7921)
    - cxgb4: Update firmware to revision 1.26.2.0
    - amdgpu: Add initial firmware for Beige Goby
    - amdgpu: update VCN firmware for raven
    - amdgpu: update VCN firmware for raven2
    - amdgpu: update VCN firmware for picasso
    - amdgpu: update VCN firmware for renoir
    - amdgpu: update VCN firmware for vangogh
    - amdgpu: update VCN firmware for sienna cichlid
    - amdgpu: update VCN firmware for navy flounder
    - amdgpu: update VCN firmware for dimgrey cavefish
    - linux-firmware: Update firmware file for Intel Bluetooth 9462
    - brcm: Add 43455 based AP6255 NVRAM for the ACEPC T8 Mini PC

 -- Timo Aaltonen <email address hidden> Wed, 29 Sep 2021 11:36:54 +0300

Changed in linux-firmware (Ubuntu):
status: New → Fix Released
Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Timo, or anyone else affected,

Accepted linux-firmware into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.187.19 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in linux-firmware (Ubuntu Focal):
status: New → Fix Committed
Revision history for this message
Mario Limonciello (superm1) wrote :

Verified on YC with the following combination all from -proposed:

# dpkg -l | grep "linux-firmware\|linux-image-5.14.0-1005-oem\|21.0.3-0ubuntu0."
ii libegl-mesa0:amd64 21.0.3-0ubuntu0.3~20.04.3 amd64 free implementation of the EGL API -- Mesa vendor library
ii libgbm1:amd64 21.0.3-0ubuntu0.3~20.04.3 amd64 generic buffer management API -- runtime
ii libgl1-mesa-dri:amd64 21.0.3-0ubuntu0.3~20.04.3 amd64 free implementation of the OpenGL API -- DRI modules
ii libglapi-mesa:amd64 21.0.3-0ubuntu0.3~20.04.3 amd64 free implementation of the GL API -- shared library
ii libglx-mesa0:amd64 21.0.3-0ubuntu0.3~20.04.3 amd64 free implementation of the OpenGL API -- GLX vendor library
ii linux-firmware 1.187.19 all Firmware for Linux kernel drivers
ii linux-image-5.14.0-1005-oem 5.14.0-1005.5 amd64 Signed kernel image oem

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Revision history for this message
Chris Halse Rogers (raof) wrote : Update Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.187.19

---------------
linux-firmware (1.187.19) focal; urgency=medium

  * Add Intel WiFi/Bluetooth firmware for ADL-S/ADL-P (LP: #1933938)
    - iwlwifi: add FWs for new So device types with multiple RF modules
    - linux-firmware: Update firmware file for Intel Bluetooth AX211
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX211
    - linux-firmware: Update firmware file for Intel Bluetooth 9462
  * Revert "amdgpu: update renoir firmware from 21.20" (LP: #1945565)
  * [Packaging] Add close-release helper script and debian rule
  * i915: Update ADLP DMC v2.12 (LP: #1945438)
  * amdgpu: add initial firmware for Yellow Carp (LP: #1945227)

 -- Timo Aaltonen <email address hidden> Thu, 30 Sep 2021 16:29:46 +0300

Changed in linux-firmware (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 21.0.3-0ubuntu0.3~20.04.3

---------------
mesa (21.0.3-0ubuntu0.3~20.04.3) focal; urgency=medium

  * patches: Backport support for AMD Yellow Carp. (LP: #1945227)

 -- Timo Aaltonen <email address hidden> Mon, 27 Sep 2021 20:48:12 +0300

Changed in mesa (Ubuntu Focal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers